<?xml version="1.0" ?>
<!-- 
  Generate the XSLT template from the pseudo (fill-in-the-blanks) template.
-->
<xsl:stylesheet version="2.0"
              xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
             xmlns:axsl="http://www.w3.org/1999/XSL/TransformAlias">

<xsl:namespace-alias stylesheet-prefix="axsl" result-prefix="xsl"/>

<xsl:output method="xml" omit-xml-declaration="no" standalone="yes"  indent="no"/>


<xsl:template match="/">
<axsl:stylesheet version="2.0">
<axsl:template match="row">
  <xsl:apply-templates select="*|text()|processing-instruction()" mode="scan"/>
</axsl:template>
</axsl:stylesheet>
</xsl:template>

<xsl:template match="*" mode="scan">
<xsl:copy>
  <xsl:apply-templates select="@*" mode="scan"/>
  <xsl:apply-templates select="*|text()|processing-instruction()" mode="scan"/>
</xsl:copy>
</xsl:template>

<xsl:template match="@*" mode="scan">
  <xsl:attribute name="{name()}">
  <xsl:analyze-string select="." regex="\$(\{{[^}}]+\}})">
    <xsl:matching-substring><xsl:value-of select="regex-group(1)"/></xsl:matching-substring>
    <xsl:non-matching-substring><xsl:value-of select="."/></xsl:non-matching-substring>
  </xsl:analyze-string>
  </xsl:attribute>
</xsl:template>

<xsl:template match="text()" mode="scan">
  <xsl:analyze-string select="." regex="\$\{{([^}}]+)\}}">
    <xsl:matching-substring><axsl:value-of select="{regex-group(1)}"/></xsl:matching-substring>
    <xsl:non-matching-substring><xsl:value-of select="."/></xsl:non-matching-substring>
  </xsl:analyze-string>
</xsl:template>

<xsl:template match="processing-instruction()" mode="scan">
  <axsl:processing-instruction name="{name()}">
  <xsl:analyze-string select="." regex="\$\{{([^}}]+)\}}">
    <xsl:matching-substring><axsl:value-of select="{regex-group(1)}"/></xsl:matching-substring>
    <xsl:non-matching-substring><xsl:value-of select="."/></xsl:non-matching-substring>
  </xsl:analyze-string>
  </axsl:processing-instruction>
</xsl:template>

</xsl:stylesheet>
